Package tigase.kernel.core

## Class Dependency

- java.lang.Object
- - tigase.kernel.core.Dependency

-     public class Dependency
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dependency​(BeanConfig beanConfig)` | Creates instance of class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BeanConfig` | `getBeanConfig()` | Returns definition of bean.
    `java.lang.String` | `getBeanName()` | Returns name of dependent bean.
    `java.lang.reflect.Field` | `getField()` | Returns field to be filled by dependency.
    `java.lang.reflect.Type` | `getGenericType()` |
    `java.lang.Class<?>` | `getType()` | Returns type of wanted bean.
    `boolean` | `isNullAllowed()` | Checks if empty value may be injected.
    `void` | `setBeanName​(java.lang.String beanId)` |
    `void` | `setField​(java.lang.reflect.Field field)` |
    `void` | `setGenericType​(java.lang.reflect.Type genericType)` |
    `void` | `setNullAllowed​(boolean nullAllowed)` |
    `void` | `setType​(java.lang.Class<?> type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dependency

          public Dependency​(BeanConfig beanConfig)

      Creates instance of class.
      Parameters:
        `beanConfig` - definition of bean.

  - ### Method Detail

    - #### getBeanConfig

          public BeanConfig getBeanConfig()

      Returns definition of bean.
      Returns:
        definition of bean.

    - #### getBeanName

          public java.lang.String getBeanName()

      Returns name of dependent bean.
      Returns:
        name of dependent bean, or `null` if name is not specified.

    - #### setBeanName

          public void setBeanName​(java.lang.String beanId)

    - #### getField

          public java.lang.reflect.Field getField()

      Returns field to be filled by dependency.
      Returns:
        field.

    - #### setField

          public void setField​(java.lang.reflect.Field field)

    - #### getGenericType

          public java.lang.reflect.Type getGenericType()

    - #### setGenericType

          public void setGenericType​(java.lang.reflect.Type genericType)

    - #### getType

          public java.lang.Class<?> getType()

      Returns type of wanted bean.
      Returns:
        type of bean.

    - #### setType

          public void setType​(java.lang.Class<?> type)

    - #### isNullAllowed

          public boolean isNullAllowed()

      Checks if empty value may be injected.
      Returns:
        `true` if dependency is optional.

    - #### setNullAllowed

          public void setNullAllowed​(boolean nullAllowed)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`